Subject: Re: [PATCH 1/23] [PATCH] [XFRM]: Add XFRM_MODE_xxx for future use.

From: Masahide NAKAMURA <[email-masked]>
Date: Wed, 02 Aug 2006 10:34:44 +0900

David Miller wrote:
> From: Masahide NAKAMURA <[email-masked]>
> Date: Sat, 29 Jul 2006 18:29:45 +0900
> 
>> Transformation mode is used as either IPsec transport or tunnel.
>> It is required to add two more items, route-optimization and inbound trigger
>> by Mobile IPv6.
>> Based on MIPL2 kernel patch.
> 
> This change looks fine, but please explain the inconsistent
> transformation done in xfrm4_encap() vs. xfrm6_encap().
> 
[snip]
> Unless there is a reason to do things differently, we should make the
> checks identical even if ipv4 will never use values other than
> XFRM_MODE_TUNNEL and XFRM_MODE_TRANSPORT.

Oops, I'm sorry, both should be the same.
My fix wants to change it as xfrm6_encap case, then I'll fix xfrm4_encap.

And I will check all patches with that point.

Thanks,

-- 
Masahide NAKAMURA